Bug 143771 - Mount causes Seg Fault on startup
Mount causes Seg Fault on startup
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mount (Show other bugs)
3.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Elliot Lee
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-27 07:18 EST by Jim Baggins
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 04:57:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Baggins 2004-12-27 07:18:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.0.3705)

Description of problem:
Today when i put a cd in the drive it did not auto mount so i tried 
it in console (mount /dev/scd0 /mnt/cdrom) it came up with the 
error "Segmenation Error"or something similar. so i decided to try a 
reboot.

Just after the "Welcome to red hat linux and Press I to enter 
interactive startup" lines. it comes up with some errors:

Mounting Proc filesystem:....[Failed]
/etc/rc.d/rc.sysinit: line 90:   42 segmentation fault  LC_ALL=C 
grep -q /initrd /proc/mounts
Configuring kernal parameters: Error: /proc must be mounted
To mount /proc at boot you need an /etc/fstab line like:
    /proc   /proc   proc   defaults
In the meantime, mount /proc /proc -t proc            [FAILED]
then again a similar line but: Line 182: 65 segmentation fault

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.reboot
2.
3.
    

Additional info:

i have RedHat 9 (couldnt work out how to choose it from the menu)
i havent updated my kernal or mount
Comment 1 Arjan van de Ven 2005-01-03 04:57:32 EST
Red Hat Linux 9 is End Of Life and no longer supported by Red Hat.
The Fedora Legacy Project provides maintenance for this distribution.

In addition upgrading to the latest packages is highly recommended for security
and bugfix reasons.

Note You need to log in before you can comment on or make changes to this bug.